using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.Skyscraper.Net
{
    public class CidrSubnet
    {
        public IPAddress IpAddress { get; }
        public byte Length { get; }

        public CidrSubnet(IPAddress ipAddress, byte length)
        {
            IpAddress = ipAddress;
            Length = length;
        }

        public override string ToString()
        {
            return String.Format("{0}/{1}", IpAddress.ToString(), Length);
        }
    }
}
